<!-- =========================================================================================
    File Name: Navbar.vue
    Description: Navigation Bar
========================================================================================== -->
<template>
  <header class="dark-bb">
    <nav class="navbar navbar-expand-lg">
      <a class="navbar-brand" href="exchange-dark.html">
        <img src="~/assets/img/logo-light.png" alt="logo" />
      </a>
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#headerMenu"
        aria-controls="headerMenu"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <i class="icon ion-md-menu"></i>
      </button>

      <div class="collapse navbar-collapse" id="headerMenu" v-if="user">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item dropdown">
            <router-link class="nav-link" to="/exchange">Exchange</router-link>
          </li>
          <li class="nav-item dropdown">
            <router-link class="nav-link" to="/deposits">Deposits</router-link>
          </li>
          <li class="nav-item dropdown">
            <router-link class="nav-link" to="/withdrawals">Withdrawals</router-link>
          </li>
          <li class="nav-item dropdown">
            <router-link class="nav-link" to="/transactions">Transactions</router-link>
          </li>
          <li class="nav-item dropdown">
            <router-link :to="`/user/wallet`" class="nav-link">
              <span>Wallets</span>
            </router-link>
          </li>
        </ul>
        <ul class="navbar-nav ml-auto">
          <li class="nav-item header-custom-icon">
            <a class="nav-link" href="#" id="clickFullscreen">
              <i class="icon ion-md-expand"></i>
            </a>
          </li>
          <li class="nav-item dropdown header-custom-icon">
            <a
              class="nav-link dropdown-toggle"
              href="javascript:void(0);"
              role="button"
              data-toggle="dropdown"
              aria-haspopup="true"
              @click="toggleNotif"
              aria-expanded="false"
            >
              <i class="icon ion-md-notifications"></i>
              <span class="circle-pulse"></span>
            </a>
            <div class="dropdown-menu" :class="{ show: showNotif }" @click="toggleNotif">
              <div class="dropdown-header d-flex align-items-center justify-content-between">
                <p class="mb-0 font-weight-medium">6 New Notifications</p>
                <a href="#!" class="text-muted">Clear all</a>
              </div>
              <div class="dropdown-body">
                <a href="#!" class="dropdown-item">
                  <div class="icon">
                    <i class="icon ion-md-lock"></i>
                  </div>
                  <div class="content">
                    <p>Account password change</p>
                    <p class="sub-text text-muted">5 sec ago</p>
                  </div>
                </a>
                <router-link to="/user/profile" class="dropdown-item">
                  <div class="icon">
                    <i class="icon ion-md-alert"></i>
                  </div>
                  <div class="content">
                    <p>Solve the security issue</p>
                    <p class="sub-text text-muted">10 min ago</p>
                  </div>
                </router-link>
                <a href="#!" class="dropdown-item">
                  <div class="icon">
                    <i class="icon ion-logo-android"></i>
                  </div>
                  <div class="content">
                    <p>Download android app</p>
                    <p class="sub-text text-muted">1 hrs ago</p>
                  </div>
                </a>
                <a href="#!" class="dropdown-item">
                  <div class="icon">
                    <i class="icon ion-logo-bitcoin"></i>
                  </div>
                  <div class="content">
                    <p>Bitcoin price is high now</p>
                    <p class="sub-text text-muted">2 hrs ago</p>
                  </div>
                </a>
                <a href="#!" class="dropdown-item">
                  <div class="icon">
                    <i class="icon ion-logo-usd"></i>
                  </div>
                  <div class="content">
                    <p>Payment completed</p>
                    <p class="sub-text text-muted">4 hrs ago</p>
                  </div>
                </a>
              </div>
              <div class="dropdown-footer d-flex align-items-center justify-content-center">
                <a href="#!">View all</a>
              </div>
            </div>
          </li>
          <li class="nav-item dropdown header-img-icon">
            <a
              class="nav-link dropdown-toggle"
              href="javascript:void(0);"
              role="button"
              data-toggle="dropdown"
              aria-haspopup="true"
              @click="toggleAcc"
              aria-expanded="false"
            >
              <img src="~/assets/img/avatar.svg" alt="avatar" />
            </a>
            <div class="dropdown-menu" :class="{ show: showAcc }" @click="toggleAcc">
              <div class="dropdown-header d-flex flex-column align-items-center">
                <div class="figure mb-3">
                  <img src="~/assets/img/avatar.svg" alt />
                </div>
                <div class="info text-center">
                  <p class="name font-weight-bold mb-0">{{ user.username }}</p>
                  <p class="email text-muted mb-3">{{ user.email }}</p>
                </div>
              </div>
              <div class="dropdown-body">
                <ul class="profile-nav">
                  <li class="nav-item">
                    <router-link :to="`/user/profile`" class="nav-link">
                      <i class="icon ion-md-person"></i>
                      <span>Profile</span>
                    </router-link>
                  </li>
                  <li class="nav-item">
                    <router-link :to="`/user/wallet`" class="nav-link">
                      <i class="icon ion-md-wallet"></i>
                      <span>My Wallet</span>
                    </router-link>
                  </li>
                  <li class="nav-item">
                    <router-link :to="`/user/settings`" class="nav-link">
                      <i class="icon ion-md-settings"></i>
                      <span>Settings</span>
                    </router-link>
                  </li>
                  <li class="nav-item">
                    <router-link :to="`/exchange`" class="nav-link red">
                      <i class="icon ion-md-power"></i>
                      <span>Log Out</span>
                    </router-link>
                  </li>
                </ul>
              </div>
            </div>
          </li>
        </ul>
      </div>
    </nav>
  </header>
</template>
<script>
export default {
  name: 'NavigationBar',
  data() {
      return {
        user: null,
        showNotif: false,
        showAcc: false
      }
  },
  created() {
    this.user = this.$cookiz.get('user') || null;
  },
  methods: {
    toggleAcc() {
      this.showAcc = !this.showAcc;
      this.showNotif = false;
    },
    toggleNotif() {
      this.showNotif = !this.showNotif
      this.showAcc = false;
    },
    close(e) {
      if (!this.$el.contains(e.target)) {
        this.showNotif = false;
        this.showAcc = false;
      }
    }
  },
  mounted() {
    document.addEventListener('click', this.close)
  },
  beforeDestroy() {
    document.removeEventListener('click', this.close)
  }
}
</script>